Bug 51334 - OLE object visible area changes slightly on every load-save cycle
Summary: OLE object visible area changes slightly on every load-save cycle
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: OLE-Objects
  Show dependency treegraph
 
Reported: 2012-06-22 07:51 UTC by johannes.sixt
Modified: 2019-12-03 14:03 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
two embedded OLE objects (bitmap, MS Word graphic); draw:visible-area-width,height change when saved without editing (88.12 KB, application/vnd.oasis.opendocument.text-flat-xml)
2012-06-22 07:51 UTC, johannes.sixt
Details

Note You need to log in before you can comment on or make changes to this bug.
Description johannes.sixt 2012-06-22 07:51:31 UTC
Created attachment 63348 [details]
two embedded OLE objects (bitmap, MS Word graphic); draw:visible-area-width,height change when saved without editing

1. Open a document (flat XML, .fodt) that contains an embedded OLE object.
2. Without editing anything, save the document again.

Notice how the draw:visible-area-width and draw:visible-area-height attributes in the frame style changed in the last digit (i.e., by 0.001cm). The change is not immediately visible, but the error accumulates with each load-save cycle.

The attached file contains two OLE objects, one bitmap and one MS Word drawing. It was created in MS Word 2000, then converted to a flat XML in LO 3.5.4 on Windows. In LO, units were set to "Centimeters", and option "Save optimized files" was switched off to get an XML with line breaks.
Comment 1 Robinson Tryon (qubit) 2012-06-22 09:45:24 UTC
[Reproducible] with LibreOffice 3.4.4 OOO340m1 (Build:402) - Ubuntu 11.10.
Comment 2 dg1727 2012-08-12 19:53:47 UTC
I have seen a similar issue in 2 other cases.  Both cases involved repeatedly loading/saving an MSWord 97/2000/XP/2003 .doc file:  

1.  The width of tables in the document (click in the table, then select Table > Table Properties... > Table) increases by 1 least-significant digit with each load/save cycle.  Tested on 3.6.0.4.  

2.  [FIXED]  The width & height of bitmaps would increase a little bit with each load/save cycle.  This appears to have been fixed as of 3.6.0.4, but I didn't find a bug report that mentioned this (I thought that finding such a bug report might make it easier to fix these issues with tables & OLE objects).  

I found the table issue on Linux, so I have changed the Platform from "x86 (IA32)/Windows (All)" to just "All/All."
Comment 3 QA Administrators 2015-01-05 17:51:11 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2015-01-21 14:15:02 UTC
Yep, still happening.

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+
Build ID: 07e84cae983c08afdba03018413a19d01abb3006
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-01-19_06:15:38
Comment 5 QA Administrators 2016-02-21 08:34:53 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2017-03-06 15:03:50 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2019-12-03 14:03:27 UTC
Dear johannes.sixt,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug